%define majver %(echo %version | cut -d. -f 1-2)
%define apiver %majver
Name:          vala
Version:       0.48.4
Release:       1mamba
Summary:       Compiler for the GObject type system
Group:         Development/Languages
Vendor:        openmamba
Distribution:  openmamba
Packager:      Davide Madrisan <davide.madrisan@gmail.com>
URL:           http://live.gnome.org/Vala
Source:        http://download.gnome.org/sources/vala/%{majver}/vala-%{version}.tar.xz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libglib-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Vala is a new programming language that aims to bring modern programming language features to GNOME developers without imposing any additional runtime requirements and without using a different ABI compared to applications and libraries written in C. 

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
Vala is a new programming language that aims to bring modern programming language features to GNOME developers without imposing any additional runtime requirements and without using a different ABI compared to applications and libraries written in C. 
This package contains static libraries and header files need for development.

%package tools
Group:         Development/Languages
Summary:       Tools for creating projects and bindings for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description tools
Vala is a new programming language that aims to bring modern programming language features to GNOME developers without imposing any additional runtime requirements and without using a different ABI compared to applications and libraries written in C. 
This package contains tools to generate Vala projects, as well as API bindings from existing C libraries, allowing access from Vala programs.

%prep
%setup -q

%build
%configure --enable-vapigen
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%dir %{_datadir}/vala-%{apiver}
%{_datadir}/vala-%{apiver}/*
%{_libdir}/libvala-*.so.*
%{_libdir}/libvaladoc-%{apiver}.so.*
%dir %{_libdir}/valadoc-%{majver}
%dir %{_libdir}/valadoc-%{majver}/doclets
%dir %{_libdir}/valadoc-%{majver}/doclets/devhelp
%{_libdir}/valadoc-%{majver}/doclets/devhelp/*.la
%{_libdir}/valadoc-%{majver}/doclets/devhelp/*.so
%dir %{_libdir}/valadoc-%{majver}/doclets/gtkdoc
%{_libdir}/valadoc-%{majver}/doclets/gtkdoc/*.la
%{_libdir}/valadoc-%{majver}/doclets/gtkdoc/*.so
%dir %{_libdir}/valadoc-%{majver}/doclets/html
%{_libdir}/valadoc-%{majver}/doclets/html/*.la
%{_libdir}/valadoc-%{majver}/doclets/html/*.so
%doc AUTHORS COPYING THANKS

%files devel
%defattr(-,root,root)
%dir %{_includedir}/vala-*/
%{_includedir}/vala-*/*.h
%{_includedir}/valadoc-%{apiver}/valadoc.h
%{_libdir}/libvala-*.la
%{_libdir}/libvala-*.so
%{_datadir}/aclocal/vala.m4
%{_datadir}/aclocal/vapigen.m4
%{_datadir}/devhelp/books/vala-*
%{_datadir}/vala/Makefile.vapigen
%{_libdir}/libvaladoc-%{apiver}.la
%{_libdir}/libvaladoc-%{apiver}.so
%{_libdir}/pkgconfig/libvala-*.pc
%{_libdir}/pkgconfig/vapigen-%{apiver}.pc
%{_libdir}/pkgconfig/vapigen.pc
%{_libdir}/pkgconfig/valadoc-%{apiver}.pc
%{_datadir}/vala/vapi/libvala-%{apiver}.vapi
%{_datadir}/vala/vapi/valadoc-%{apiver}.deps
%{_datadir}/vala/vapi/valadoc-%{apiver}.vapi
%doc ChangeLog NEWS README

%files tools
%defattr(-,root,root)
%{_bindir}/valac
%{_bindir}/valac-%{apiver}
%{_bindir}/vala
%{_bindir}/vala-%{apiver}
%{_bindir}/vala-gen-introspect
%{_bindir}/vala-gen-introspect-%{apiver}
%{_bindir}/valadoc
%{_bindir}/valadoc-%{apiver}
%{_bindir}/vapigen*
%dir %{_datadir}/valadoc-%{majver}
%dir %{_datadir}/valadoc-%{majver}/icons
%{_datadir}/valadoc-%{majver}/icons/*
%{_libdir}/vala-*
%{_mandir}/man1/valac*
%{_mandir}/man1/vapigen*
%{_mandir}/man1/vala-gen-introspect*
%{_mandir}/man1/valadoc-%{apiver}.1*
%{_mandir}/man1/valadoc.1*

%changelog
* Tue Apr 21 2020 Automatic Build System <autodist@mambasoft.it> 0.48.4-1mamba
- automatic version update by autodist

* Mon Apr 06 2020 Automatic Build System <autodist@mambasoft.it> 0.48.3-1mamba
- automatic version update by autodist

* Thu Mar 26 2020 Automatic Build System <autodist@mambasoft.it> 0.48.2-1mamba
- automatic version update by autodist

* Thu Mar 12 2020 Automatic Build System <autodist@mambasoft.it> 0.48.1-1mamba
- automatic version update by autodist

* Wed Mar 04 2020 Automatic Build System <autodist@mambasoft.it> 0.48.0-1mamba
- automatic version update by autodist

* Mon Feb 10 2020 Automatic Build System <autodist@mambasoft.it> 0.46.6-1mamba
- automatic version update by autodist

* Mon Nov 18 2019 Automatic Build System <autodist@mambasoft.it> 0.46.5-1mamba
- automatic version update by autodist

* Mon Nov 11 2019 Automatic Build System <autodist@mambasoft.it> 0.46.4-1mamba
- automatic version update by autodist

* Wed Oct 09 2019 Automatic Build System <autodist@mambasoft.it> 0.46.3-1mamba
- automatic version update by autodist

* Fri Oct 04 2019 Automatic Build System <autodist@mambasoft.it> 0.46.2-1mamba
- automatic version update by autodist

* Mon Aug 05 2019 Automatic Build System <autodist@mambasoft.it> 0.44.7-1mamba
- automatic version update by autodist

* Sat Jul 20 2019 Automatic Build System <autodist@mambasoft.it> 0.44.6-1mamba
- automatic version update by autodist

* Thu Jun 20 2019 Automatic Build System <autodist@mambasoft.it> 0.44.5-1mamba
- automatic version update by autodist

* Thu Jun 06 2019 Automatic Build System <autodist@mambasoft.it> 0.44.4-1mamba
- automatic version update by autodist

* Tue Apr 09 2019 Automatic Build System <autodist@mambasoft.it> 0.44.3-1mamba
- automatic version update by autodist

* Mon Apr 01 2019 Automatic Build System <autodist@mambasoft.it> 0.44.2-1mamba
- automatic version update by autodist

* Mon Mar 18 2019 Automatic Build System <autodist@mambasoft.it> 0.44.1-1mamba
- automatic version update by autodist

* Sat Mar 16 2019 Automatic Build System <autodist@mambasoft.it> 0.44.0-1mamba
- automatic version update by autodist

* Mon Mar 04 2019 Automatic Build System <autodist@mambasoft.it> 0.42.6-1mamba
- automatic version update by autodist

* Tue Jan 29 2019 Automatic Build System <autodist@mambasoft.it> 0.42.5-1mamba
- automatic version update by autodist

* Thu Dec 20 2018 Automatic Build System <autodist@mambasoft.it> 0.42.4-1mamba
- automatic version update by autodist

* Sat Nov 17 2018 Automatic Build System <autodist@mambasoft.it> 0.42.3-1mamba
- automatic version update by autodist

* Tue Sep 25 2018 Automatic Build System <autodist@mambasoft.it> 0.42.2-1mamba
- automatic version update by autodist

* Tue Sep 18 2018 Automatic Build System <autodist@mambasoft.it> 0.42.1-1mamba
- automatic version update by autodist

* Wed Aug 22 2018 Automatic Build System <autodist@mambasoft.it> 0.40.9-1mamba
- automatic version update by autodist

* Thu Aug 09 2018 Automatic Build System <autodist@mambasoft.it> 0.40.8-1mamba
- automatic version update by autodist

* Sun Aug 05 2018 Automatic Build System <autodist@mambasoft.it> 0.40.7-1mamba
- automatic version update by autodist

* Fri Feb 16 2018 Automatic Build System <autodist@mambasoft.it> 0.38.8-1mamba
- automatic version update by autodist

* Mon Feb 05 2018 Automatic Build System <autodist@mambasoft.it> 0.38.7-1mamba
- automatic version update by autodist

* Wed Jan 31 2018 Automatic Build System <autodist@mambasoft.it> 0.38.6-1mamba
- automatic version update by autodist

* Tue Jan 23 2018 Automatic Build System <autodist@mambasoft.it> 0.38.5-1mamba
- automatic version update by autodist

* Wed Dec 20 2017 Automatic Build System <autodist@mambasoft.it> 0.38.4-1mamba
- automatic update by autodist

* Thu Nov 23 2017 Automatic Build System <autodist@mambasoft.it> 0.38.3-1mamba
- automatic update by autodist

* Tue Oct 24 2017 Automatic Build System <autodist@mambasoft.it> 0.38.2-1mamba
- automatic version update by autodist

* Fri Aug 11 2017 Automatic Build System <autodist@mambasoft.it> 0.36.4-1mamba
- automatic version update by autodist

* Wed Mar 08 2017 Automatic Build System <autodist@mambasoft.it> 0.34.6-1mamba
- automatic version update by autodist

* Wed Dec 07 2016 Automatic Build System <autodist@mambasoft.it> 0.34.4-1mamba
- automatic version update by autodist

* Mon Dec 05 2016 Automatic Build System <autodist@mambasoft.it> 0.34.3-1mamba
- automatic version update by autodist

* Mon Oct 24 2016 Automatic Build System <autodist@mambasoft.it> 0.34.2-1mamba
- automatic version update by autodist

* Sun Oct 16 2016 Automatic Build System <autodist@mambasoft.it> 0.34.1-1mamba
- automatic version update by autodist

* Thu Jun 23 2016 Automatic Build System <autodist@mambasoft.it> 0.32.1-1mamba
- automatic version update by autodist

* Mon Apr 11 2016 Automatic Build System <autodist@mambasoft.it> 0.32.0-1mamba
- automatic version update by autodist

* Mon Feb 01 2016 Automatic Build System <autodist@mambasoft.it> 0.30.1-1mamba
- automatic version update by autodist

* Sat Oct 10 2015 Automatic Build System <autodist@mambasoft.it> 0.30.0-1mamba
- automatic version update by autodist

* Wed Aug 12 2015 Automatic Build System <autodist@mambasoft.it> 0.28.1-1mamba
- automatic version update by autodist

* Tue Apr 14 2015 Automatic Build System <autodist@mambasoft.it> 0.28.0-1mamba
- automatic version update by autodist

* Wed Jan 14 2015 Automatic Build System <autodist@mambasoft.it> 0.26.2-1mamba
- automatic update by autodist

* Tue Oct 14 2014 Automatic Build System <autodist@mambasoft.it> 0.26.1-1mamba
- automatic update by autodist

* Tue Sep 23 2014 Automatic Build System <autodist@mambasoft.it> 0.26.0-1mamba
- automatic version update by autodist

* Sun Aug 24 2014 Automatic Build System <autodist@mambasoft.it> 0.25.2-1mamba
- automatic version update by autodist

* Tue Jul 29 2014 Automatic Build System <autodist@mambasoft.it> 0.25.1-1mamba
- automatic version update by autodist

* Tue Mar 25 2014 Automatic Build System <autodist@mambasoft.it> 0.24.0-1mamba
- automatic version update by autodist

* Wed Feb 19 2014 Automatic Build System <autodist@mambasoft.it> 0.23.3-1mamba
- automatic version update by autodist

* Wed Feb 05 2014 Automatic Build System <autodist@mambasoft.it> 0.23.2-1mamba
- automatic version update by autodist

* Mon Dec 23 2013 Automatic Build System <autodist@mambasoft.it> 0.23.1-1mamba
- automatic version update by autodist

* Wed Nov 13 2013 Automatic Build System <autodist@mambasoft.it> 0.22.1-1mamba
- automatic version update by autodist

* Mon Oct 07 2013 Automatic Build System <autodist@mambasoft.it> 0.22.0-1mamba
- automatic version update by autodist

* Mon Apr 08 2013 Automatic Build System <autodist@mambasoft.it> 0.20.1-1mamba
- automatic version update by autodist

* Thu Mar 28 2013 Automatic Build System <autodist@mambasoft.it> 0.20.0-1mamba
- automatic version update by autodist

* Tue Nov 13 2012 Automatic Build System <autodist@mambasoft.it> 0.18.1-1mamba
- automatic version update by autodist

* Sat Sep 29 2012 Automatic Build System <autodist@mambasoft.it> 0.18.0-1mamba
- automatic version update by autodist

* Sat Jun 23 2012 Automatic Build System <autodist@mambasoft.it> 0.16.1-1mamba
- automatic version update by autodist

* Sun Apr 01 2012 Automatic Build System <autodist@mambasoft.it> 0.16.0-1mamba
- automatic version update by autodist

* Thu Oct 13 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.14.0-1mamba
- update to 0.14.0

* Mon Apr 11 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.12.0-1mamba
- update to 0.12.0

* Tue Mar 15 2011 Automatic Build System <autodist@mambasoft.it> 0.10.4-1mamba
- automatic update by autodist

* Tue Feb 01 2011 Automatic Build System <autodist@mambasoft.it> 0.10.3-1mamba
- automatic update by autodist

* Wed Jan 05 2011 Automatic Build System <autodist@mambasoft.it> 0.10.2-1mamba
- automatic update by autodist

* Mon Nov 15 2010 Automatic Build System <autodist@mambasoft.it> 0.10.1-1mamba
- update to 0.10.1

* Wed Nov 10 2010 Automatic Build System <autodist@mambasoft.it> 0.9.8-1mamba
- automatic update by autodist

* Sat Aug 28 2010 Davide Madrisan <davide.madrisan@gmail.com> 0.9.7-1mamba
- package created by autospec
